Skip to main content
PATCH
/
api
/
v1
/
:team_slug
/
:app_slug
/
attributes
/
:attribute_template_key
/
:attribute_key
Error
A valid request URL is required to generate request examples
{
  "data": {
    "created_at": "<string>",
    "description": "<string>",
    "fields": [
      {
        "created_at": "<string>",
        "id": "<string>",
        "key": "<string>",
        "name": "<string>",
        "type": "<string>",
        "updated_at": "<string>"
      }
    ],
    "filterable": true,
    "id": "<string>",
    "key": "<string>",
    "linked_attributes": [
      {
        "created_at": "<string>",
        "description": "<string>",
        "filterable": true,
        "id": "<string>",
        "key": "<string>",
        "name": "<string>",
        "template_key": "<string>",
        "template_name": "<string>",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "<string>",
              "locale": "<string>",
              "omni_channel_translations": [
                {
                  "id": "<string>",
                  "market_id": "<string>",
                  "store_group_id": "<string>",
                  "value": "<string>"
                }
              ],
              "value": "<string>"
            }
          ],
          "name": [
            {
              "id": "<string>",
              "locale": "<string>",
              "omni_channel_translations": [
                {
                  "id": "<string>",
                  "market_id": "<string>",
                  "store_group_id": "<string>",
                  "value": "<string>"
                }
              ],
              "value": "<string>"
            }
          ]
        },
        "updated_at": "<string>",
        "values": {}
      }
    ],
    "name": "<string>",
    "template_key": "<string>",
    "template_name": "<string>",
    "translatable": true,
    "translations": {
      "description": [
        {
          "id": "<string>",
          "locale": "<string>",
          "omni_channel_translations": [
            {
              "id": "<string>",
              "market_id": "<string>",
              "store_group_id": "<string>",
              "value": "<string>"
            }
          ],
          "value": "<string>"
        }
      ],
      "name": [
        {
          "id": "<string>",
          "locale": "<string>",
          "omni_channel_translations": [
            {
              "id": "<string>",
              "market_id": "<string>",
              "store_group_id": "<string>",
              "value": "<string>"
            }
          ],
          "value": "<string>"
        }
      ]
    },
    "updated_at": "<string>",
    "values": {}
  },
  "details": [
    "<string>"
  ],
  "success": true
}

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

attribute_template_key
string
required

Attribute template key

attribute_key
string
required

Attribute key

Body

application/x-www-form-urlencoded
key
string

Unique key for the attribute. This needs to be unique per template.

name
string

VariantName for the attribute

description
string

Description for the attribute

Response

Attributes

data
object
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

success
boolean